## mozilla-locale-es-es 1.6

=== debian/changelog ===
mozilla-locale-es-es (1.6) unstable; urgency=low

  * Upgraded to latest NAVE translation, now depends on mozilla 1.6  (Closes: #234218)
  * Fixed location of Mozilla localization project page in debian/copyright

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 25 Feb 2004 22:08:05 +0100

mozilla-locale-es-es (1.5.1) unstable; urgency=low

  * Added suggests to myspell-dictionary-es (Closes: #217597)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 11 Jan 2004 20:43:17 +0100

mozilla-locale-es-es (1.5) unstable; urgency=low

  * Upgraded to latest NAVE translation (Closes: #219931, #219932)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 15 Nov 2003 16:42:56 +0100

mozilla-locale-es-es (1.4.0) unstable; urgency=low

  * Updated to the 1.4 version and fixes dependancies 
    (Closes: #203363, #202070)
  * Splitted the source package into three different source
    packages since translated versions tend to not be consistent
    (I will also try to stick and use 
    the same version numbering for these new packages, however, since
    there were already 1.4 packages I'm using 1.4.0 for now)
  * After some more investigation determine how to setup a
    profile for new users and added that information to README.Debian
    and LEADME.Debian
  * Modified debian/rules to only install globaleses.xpi since that
    provides the region packs and the localisation packs in NAVE.
  * Modified debian/rules so that the consistency check outputs the 
    lines that should be added to 50esXX-locale
  * Updated the 50esXX-locale for ES
  * Included the full text of the mozilla license in the copyright file
    (as requested by the FTP maintainers)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 20 Aug 2003 18:13:38 +0200

mozilla-locale-es (1.4) unstable; urgency=low

  * Changes to the README.Debian file:
    - Added some information on how to do a system-wide config
    by modifing the user's (and system's) preferences file.
    - Splitted spanish version into LEAME.Debian
  * The -es-ar and -es-hn now provide the README|LEAME.Debian files
    too (I did not read the dh_installdocs manpage thoroughly enough)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  7 May 2003 01:51:28 +0200

mozilla-locale-es (1.3) unstable; urgency=low

  * New translation for the es-ES by the NAVE project for the 1.3
    version (Closes: #176874)
  * Added Homepage for the es-ES translation in debian/control

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  6 May 2003 11:07:01 +0200

mozilla-locale-es (1.2) unstable; urgency=low

  * Renamed to 1.2 (I'm making this a Debian package since Mozilla
    does not provide proper .tar.gzs for l10n purposes so this
    package is home-brewed)
  * Updated es-ES translation to version 1.2.1
    - Note: Unfortunately this still does not fix bug #176874 because mozilla
      in unstable is now at version 1.3, really, mozilla's l10n just
      sucks.
  * Updated es-AR translation to version 1.3
  * Updated es-HN translation to version 1.3 (alpha)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 22 Apr 2003 01:01:22 +0200

mozilla-locale-es (1.1-2) unstable; urgency=low

  * Added Build-Depends for unzip/zip
  * Updated for Spanish xpi downloaded from
    http://ftp.mozilla.org/pub/mozilla/l10n/lang/moz1.0/
    (this one works properly when selected, previous ones did not)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  3 Jan 2003 13:28:27 +0100

mozilla-locale-es (1.1-1) unstable; urgency=low

  * Renamed to 1.1 and renamed the files (xpi) included reflecting
  their mozilla version. 
  * Added depends (should find a way to do this automatically based on the
  xpi version number though)
  * Added copyright information for locales

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 18 Sep 2002 16:37:11 +0200

mozilla-locale-es (0.99.1-1) unstable; urgency=low

  * Initial Release (Closes: #123250)
  * This package was build according to the example of mozilla-locale-de
  (maybe I should check against mozilla-locale-ca and mozilla-locale-gl-es
  since the xpi provided by NAVE doesn't seem to work, I tried also installing
  it locally to no effect).

 -- Javier Fernandez-Sanguino Pena <jfs@dat.etsit.upm.es>  Wed, 18 Sep 2002 16:37:01 +0200
