=== debian/control ===
Source: mozilla-locale-es-es
Section: web
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends-Indep: debhelper (>> 3.0.0), unzip, zip
Standards-Version: 3.5.6

Package: mozilla-locale-es-es
Architecture: all
Depends: mozilla-browser (>= 2:1.6)
Conflicts: mozilla-browser (>= 2:1.6.0), mozilla-locale-es-ar, mozilla-locale-es-hn
Provides: mozilla-locale-es
Suggests: myspell-dictionary-es
Description: Mozilla Spanish Language/Region Package.
 Spanish (as spoken in Spain) Menu/Message resource and Region property 
 package for Mozilla.
 .
 Homepage: http://nave.hispalinux.es/
