## mozilla-locale-es-es 1.7.3

=== debian/changelog ===
mozilla-locale-es-es (1.7.3) unstable; urgency=low

  * Updated to latest NAVE translation, now depends on Mozilla 1.7.3,
    hopefully this will move into to sarge (I should have uploaded this
    months ago...) (Closes: #257734)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 30 Oct 2004 19:44:08 +0200
