=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 
 Package: mozilla-locale-es-es
 Architecture: all
-Depends: mozilla-browser (>= 2:1.6)
-Conflicts: mozilla-browser (>= 2:1.6.0), mozilla-locale-es-ar, mozilla-locale-es-hn
+Depends: mozilla-browser (>= 2:1.7.3)
+Conflicts: mozilla-browser (>= 2:1.8), mozilla-locale-es-ar, mozilla-locale-es-hn
 Provides: mozilla-locale-es
 Suggests: myspell-dictionary-es
 Description: Mozilla Spanish Language/Region Package.
